//GENACOME JOB 241901,'COB GENERATE',NOTIFY=&SYSUID,CLASS=A,MSGCLASS=H,
//       REGION=32M
//*
//* LICENSED MATERIALS - PROPERTY OF IBM
//*
//* SUPPORTPAC CB12
//*
//* (C) COPYRIGHT IBM CORP. 2013 ALL RIGHTS RESERVED
//*
//*  US GOVERNMENT USERS RESTRICTED RIGHTS - USE, DUPLICATION,
//*  OR DISCLOSURE RESTRICTED BY GSA ADP SCHEDULE
//*  CONTRACT WITH IBM CORP.
//*
//*-------------------------------------------------------------------*
//DB2PROC  PROC
//*-------------------------------------------------------------------*
//*  INVOKE THE COBOL COMPILE                                         *
//*-------------------------------------------------------------------*
//*
//COBL     EXEC PGM=IGYCRCTL,
// PARM='NODYNAM,LIB,RENT,APOST,LIB,CICS(''SP''),SQL,SIZE(4000K)'
//STEPLIB  DD DSN=<COBOLHLQ>.SIGYCOMP,DISP=SHR
//         DD DSN=<CICSHLQ>.SDFHLOAD,DISP=SHR
//         DD DSN=<DB2HLQ>.SDSNEXIT,DISP=SHR
//         DD DSN=<DB2HLQ>.SDSNLOAD,DISP=SHR
//SYSLIB   DD DSN=<CICSHLQ>.SDFHCOB,DISP=SHR
//         DD DSN=<CICSHLQ>.SDFHMAC,DISP=SHR
//         DD DSN=<CICSHLQ>.SDFHSAMP,DISP=SHR
//         DD DSN=<DB2HLQ>.SDSNSAMP,DISP=SHR
//         DD DSN=<DB2HLQ>.SDSNMACS,DISP=SHR
//         DD DSN=<MAPCOPX>,DISP=SHR
//         DD DSN=<SOURCEX>,DISP=SHR
//SYSIN    DD DISP=SHR,DSN=<SOURCEX>(&MEM)
//DBRMLIB  DD DSN=<DBRMLIX>(&MEM),DISP=SHR
//SYSLIN   DD DSN=&&LOADSET,DISP=(NEW,PASS),UNIT=SYSDA,
//         SPACE=(TRK,(20,10))
//SYSUT1   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSUT2   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSUT3   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSUT4   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSUT5   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSUT6   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSUT7   DD UNIT=SYSDA,SPACE=(460,(350,100))
//SYSPRINT DD SYSOUT=*
//*-------------------------------------------------------------------*
//*  REBLOCK DFHEILIA, FOR USE BY THE LINKEDIT STEP                   *
//*-------------------------------------------------------------------*
//*
//COPYLINK EXEC PGM=IEBGENER,COND=(7,LT,COBL)
//SYSUT1   DD DISP=SHR,DSN=<CICSHLQ>.SDFHCOB(DFHEILIC)
//SYSUT2   DD DISP=(NEW,PASS),DSN=&&COPYLINK,
//            DCB=(LRECL=80,BLKSIZE=3120,RECFM=FB),
//            UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSPRINT DD DUMMY
//SYSIN    DD DUMMY
//*-------------------------------------------------------------------*
//*  INVOKE THE MVS LINKAGE-EDITOR PROGRAM                            *
//*-------------------------------------------------------------------*
//*
//LKED     EXEC PGM=HEWL,COND=(7,LT,COBL),
//  PARM='LIST,XREF,RENT,NAME=&MEM'
//SYSLIB   DD DISP=SHR,DSN=<CICSHLQ>.SDFHLOAD
//         DD DSN=<DB2HLQ>.SDSNLOAD,DISP=SHR
//         DD DSN=<CEEHLQ>.SCEELKED,DISP=SHR
//         DD DISP=SHR,DSN=<LOADX>
//SYSLMOD  DD DISP=SHR,DSN=<LOADX>(&MEM)
//SYSUT1   DD UNIT=SYSDA,DCB=BLKSIZE=1024,
//            SPACE=(CYL,(1,1))
//SYSPRINT DD SYSOUT=*
//SYSLIN   DD DISP=(OLD,DELETE),DSN=&&COPYLINK
//         DD DISP=(OLD,DELETE),DSN=&&LOADSET
//         DD DISP=SHR,DSN=<SOURCEX>(LINKPARM)
//         PEND
//*
//*
//LGTESTC2 EXEC DB2PROC,MEM=LGTESTC2 